// JavaScript Document
function checkIP()
{
		var ipArray,j;
		var ip=document.ipform.ip.value.toLowerCase();
		if(/[A-Za-z_-]/.test(ip))
		{
				if(!/^([\w-]+\.)+((com)|(net)|(org)|(gov\.cn)|(info)|(cc)|(com\.cn)|(net\.cn)|(org\.cn)|(name)|(biz)|(tv)|(cn)|(la))$/.test(ip))
				{
						alert("不是正确的域名");
						document.ipform.ip.focus();
						return false;
				}
		}
		else
		{
				ipArray = ip.split(".");
				j = ipArray.length
				if(j!=4)
				{
						alert("不是正确的IP");
						document.ipform.ip.focus();
						return false;
				}
				
				for(var i=0;i<4;i++)
				{
						if(ipArray[i].length==0 || ipArray[i]>255)
						{
								alert("不是正确的IP");
								document.ipform.ip.focus();
								return false;
						}
				}
		}
}

